View Issue Details

IDProjectCategoryView StatusLast Update
0014747CentOS-6CentOS-6-Pluspublic2018-05-11 16:59
ReporterRobertPHeller 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.9 
Target VersionFixed in Version 
Summary0014747: Allow cdc-acm driver to recognize Adafruit Flora (and probably other Arduino compatibles)
DescriptionAdd in match code for USB_CDC_PROTO_NONE to allow usb matching of various AVR processors' USB connections, as used by various Arduino compatibles. Appearently some of these processors were originally meant to be the "brains" on USB connected modems and the current CentOS 6 kernel (2.6.32) cdc-acm driver only connects to devices that report on of the 6 protocols. Newer incarnations (eg Ubuntu 14.04 or Raspbian) of this driver also allow matching of the "NONE" protocol, which allows the various Arduino compatibles to connect.
Steps To ReproduceConnect an Adafruit Flora and not get a /dev/ttyACM0 device. :-(
Additional InformationI patched the CentOS 6 Plus kernel with the attached patch and everything worked.
Tags6.9, Adafruit Flora

Activities

RobertPHeller

RobertPHeller

2018-05-07 20:16

reporter  

centos-linux-cdc-acm-PROTO_NONE.patch (584 bytes)
*** a/drivers/usb/class/cdc-acm.c.orig	2018-05-05 20:07:51.000000000 -0400
--- b/drivers/usb/class/cdc-acm.c	2018-05-05 20:13:31.000000000 -0400
***************
*** 1520,1525 ****
--- 1520,1529 ----
  	.driver_info = NO_UNION_NORMAL, /* reports zero length descriptor */
  	},
  
+ 	/* control interfaces without any protocol set */
+ 	{ USB_INTERFACE_INFO(USB_CLASS_COMM, USB_CDC_SUBCLASS_ACM,
+ 		USB_CDC_PROTO_NONE) },
+     
  	/* control interfaces with various AT-command sets */
  	{ USB_INTERFACE_INFO(USB_CLASS_COMM, USB_CDC_SUBCLASS_ACM,
  		USB_CDC_ACM_PROTO_AT_V25TER) },
toracat

toracat

2018-05-07 22:05

manager   ~0031727

Ack. Will try to add it to the next update.
toracat

toracat

2018-05-11 16:58

manager   ~0031765

kernel-2.6.32-696.28.1.el6.centos.plus.x86_64.rpm has been released with the requested change.

Issue History

Date Modified Username Field Change
2018-05-07 20:16 RobertPHeller New Issue
2018-05-07 20:16 RobertPHeller File Added: centos-linux-cdc-acm-PROTO_NONE.patch
2018-05-07 20:16 RobertPHeller Tag Attached: 6.9
2018-05-07 20:16 RobertPHeller Tag Attached: Adafruit Flora
2018-05-07 22:05 toracat Status new => assigned
2018-05-07 22:05 toracat Note Added: 0031727
2018-05-11 16:58 toracat Note Added: 0031765
2018-05-11 16:59 toracat Status assigned => resolved
2018-05-11 16:59 toracat Resolution open => fixed